決定プールのメンバーが組織に所属していない

Moses Skodaエンジニア読了目安 1分

この問題が発生すると、APIは422 Unprocessable Contentを返します。そのtypeはhttps://lingo.dev/docs/api/errors/decision-pool-member-not-in-organizationです。すべてのエラーに共通する構造については、エラーとステータスコードをご覧ください。

決定プールに参加できるのは組織のメンバーのみです。次のユーザーは組織に所属していません:<userId>。

フィールド#

レスポンス本文には、標準のメンバーであるtype、status、title、detailに加え、以下のフィールドが含まれます。detailのテキストはこれらのフィールドから生成されるため、クライアント側で独自のテキストに置き換えて表示できます。

フィールド型
userIdsstring[]

例#

json
{
  "detail": "Only organization members can join a decision pool, and these users are not: <userId>.",
  "userIds": [
    "<userId>"
  ],
  "type": "https://lingo.dev/docs/api/errors/decision-pool-member-not-in-organization",
  "status": 422,
  "title": "Decision pool member outside organization"
}

このエラーを返すエンドポイント#

  • PATCH /v2/organizations/{orgId}/decision-pools/{id}
  • POST /v2/organizations/{orgId}/decision-pools